Summary: a simple least cost router 
Name: qlcr
Version: 0.4.1
Release: 1.suse
License: GPL
URL: http://www.thepingofdeath.de
Vendor: Jan Kasper (cubical@gmx.de)
Packager: Jan Kasper (cubical@gmx.de)
Group: Applications/Internet
Source: %{name}-%{version}-%{release}.tar.bz2
Requires: ntp 
Requires: wvdial >= 1.54
Requires: bzip2 

%description
qLCR is a simple Least Cost Router for Linux

%prep
%setup

%build
cd src
qmake -o Makefile qlcr.pro
make

%install
install -m 0755 -d %{_docdir}/%{name}-%{version}
install -m 0755 src/qlcr %{_bindir}/qlcr
install -m 0644 README %{_docdir}/%{name}-%{version}/README
install -m 0644 TODO %{_docdir}/%{name}-%{version}/TODO
install -m 0644 FAQ %{_docdir}/%{name}-%{version}/FAQ
install -m 0644 INSTALL %{_docdir}/%{name}-%{version}/INSTALL
install -m 0644 COPYING %{_docdir}/%{name}-%{version}/COPYING
install -m 0644 CHANGELOG %{_docdir}/%{name}-%{version}/CHANGELOG
install -m 0644 qlcr.desktop %{_datadir}/applnk/qlcr.desktop
install -m 0644 qlcr.png %{_datadir}/icons/qlcr.png
install -m 0644 qlcr.1.gz %{_mandir}/man1/qlcr.gz
install -m 0755 -d /etc/qlcr
install -m 0644 provider.xml /etc/qlcr/provider.xml


%files
%{_bindir}/qlcr
%{_datadir}/applnk/qlcr.desktop
%{_datadir}/icons/qlcr.png
%{_mandir}/man1/qlcr.gz
%{_docdir}/%{name}-%{version}
/etc/qlcr

%post
chmod +s `which wvdial`
chmod +s `which ntpdate`
